Package org.eclipse.wst.xsl.core.internal.validation

## org.eclipse.wst.xsl.core.internal.validation
Class XSLValidationReport

    public class XSLValidationReport
    extends java.lang.Object

A validation report for the XSL validator.

## Constructor Summary

`XSLValidationReport(java.lang.String uri)`

## Method Summary

`public ValidationMessage` | `addError(org.eclipse.wst.xsl.core.model.XSLNode node , java.lang.String message)` Add an error message for the given XSL node.
`public ValidationMessage` | `addInfo(org.eclipse.wst.xsl.core.model.XSLNode node , java.lang.String message)` Add an info message for the given XSL node.
`public ValidationMessage` | `addWarning(org.eclipse.wst.xsl.core.model.XSLNode node , java.lang.String message)` Add an warning message for the given XSL node.
`public java.util.List` | `getErrors()` Get the validation messages.
`public java.lang.String` | `getFileURI()` Get the URI that this report applies to.
`public java.util.List` | `getInfos()` Get the validation messages.
`public java.util.HashMap` | `getNestedMessages()`
`public ValidationMessage[]` | `getValidationMessages()` Returns an array of validation messages.
`public java.util.List` | `getWarnings()` Get the validation messages.
`public boolean` | `isValid()` Returns whether the file is valid. The file may have warnings associated with it.

## Constructor Detail

## XSLValidationReport

`public XSLValidationReport(java.lang.String uri)`

Create a new instance of this.

## Methods Detail

## addError

`public ValidationMessage addError(org.eclipse.wst.xsl.core.model.XSLNode node , java.lang.String message)`

Add an error message for the given XSL node.

### Parameters

`node` - the node the warning applies to

`message` - the message to associate with the node

### Returns

`ValidationMessage` - the validation message created

## addInfo

`public ValidationMessage addInfo(org.eclipse.wst.xsl.core.model.XSLNode node , java.lang.String message)`

Add an info message for the given XSL node.

### Parameters

`node` - the node the warning applies to

`message` - the message to associate with the node

### Returns

`ValidationMessage` - the validation message created

## addWarning

`public ValidationMessage addWarning(org.eclipse.wst.xsl.core.model.XSLNode node , java.lang.String message)`

Add an warning message for the given XSL node.

### Parameters

`node` - the node the warning applies to

`message` - the message to associate with the node

### Returns

`ValidationMessage` - the validation message created

## getErrors

`public java.util.List getErrors()`

Get the validation messages.

### Returns

`java.util.List` - validation messages

## getFileURI

`public java.lang.String getFileURI()`

Get the URI that this report applies to.

### Returns

`java.lang.String` - the URI

## getInfos

`public java.util.List getInfos()`

Get the validation messages.

### Returns

`java.util.List` - validation messages

## getNestedMessages

`public java.util.HashMap getNestedMessages()`

### Returns

`java.util.HashMap` - null

## getValidationMessages

`public ValidationMessage[] getValidationMessages()`

Returns an array of validation messages.

### Returns

`ValidationMessage[]` - An array of validation messages.

## getWarnings

`public java.util.List getWarnings()`

Get the validation messages.

### Returns

`java.util.List` - validation messages

## isValid

`public boolean isValid()`

Returns whether the file is valid. The file may have warnings associated with it.

### Returns

`boolean` - True if the file is valid, false otherwise.